## com.saxonica.schema
Class EnumerationFacetSet

    java.lang.Object
      com.saxonica.schema.Facet
          com.saxonica.schema.EnumerationFacetSet

All Implemented Interfaces:
  SerializableSchemaComponent, Serializable

    public class EnumerationFacetSet

extends Facet

Represents the set of enumeration values defined on a single simple type, This is a "virtual" facet that combines all the enumeration facets in one simple type definition.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.saxonica.schema.Facet
`ENUMERATION, FRACTIONDIGITS, LENGTH, MAX_EXCLUSIVE, MAX_INCLUSIVE, MAX_LENGTH, MIN_EXCLUSIVE, MIN_INCLUSIVE, MIN_LENGTH, PATTERN, TOTALDIGITS, WHITESPACE`

Fields inherited from interface com.saxonica.schema.SerializableSchemaComponent
`ALL_COMPOSITOR, ATOMIC_TYPE, ATTRIBUTE_DECL, ATTRIBUTE_GROUP, ATTRIBUTE_GROUP_REF, ATTRIBUTE_USE, ATTRIBUTE_WILDCARD, CHOICE_COMPOSITOR, COMPLEX_TYPE, ELEMENT_DECL, ELEMENT_PARTICLE, ELEMENT_WILDCARD, FACET, KEY, KEYREF, LIST_TYPE, MODEL_GROUP, MODEL_GROUP_REF, NOTATION, SEQUENCE_COMPOSITOR, UNION_TYPE, UNIQUE`

Constructor Summary
`EnumerationFacetSet()`

Method Summary
`void` `addEnumerationValue(AtomicValue val)` Add a permitted value to the set of enumeration values.
`boolean` `appliesToWholeList()` Test whether this is a facet that can be used to test the normalized value of a list type.
`void` `checkFacetRestriction(UserSimpleType type, SimpleType base)` Check that this facet is legal when used on a type derived by restriction
`String` `getName()` The name of this facet.
`String` `getValue()` Get a string representation of the value of the facet
`boolean` `testAtomicValue(AtomicValue value)` Test whether an atomic value conforms to this facet

Methods inherited from class com.saxonica.schema.Facet
`getComponentTypeCode, getWhitespaceAction, isFixed, isNewlyIntroduced, serialize, setFixed, testLength, toLong`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumerationFacetSet

    public EnumerationFacetSet()

Method Detail

### getName

    public String getName()

  The name of this facet.

  Overrides:
    `getName` in class `Facet`
  Returns:
    "enumerationSet"

### addEnumerationValue

    public void addEnumerationValue(AtomicValue val)

  Add a permitted value to the set of enumeration values. For internal use only.

  Parameters:
    `val` - the value to be added.

### getValue

    public String getValue()

  Get a string representation of the value of the facet

  Overrides:
    `getValue` in class `Facet`
  Returns:
    the value of this facet

### checkFacetRestriction

    public void checkFacetRestriction(UserSimpleType type,
                                      SimpleType base)

  Check that this facet is legal when used on a type derived by restriction

  Overrides:
    `checkFacetRestriction` in class `Facet`
  Parameters:
    `base` - the type from which the restricted type is derived
    `type` - the type on which the facet is defined

### appliesToWholeList

    public boolean appliesToWholeList()

  Test whether this is a facet that can be used to test the normalized value of a list type. (Specifically, this is true only for pattern facets and enumeration facets)

  Overrides:
    `appliesToWholeList` in class `Facet`

### testAtomicValue

    public boolean testAtomicValue(AtomicValue value)

  Test whether an atomic value conforms to this facet

  Overrides:
    `testAtomicValue` in class `Facet`
  Parameters:
    `value` - the value to be tested
  Returns:
    true if the value conforms; false if it doesn't conform, or if the test fails

Copyright (C) Michael H. Kay. All rights reserved.